<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8" />
        <title>Object density in Belgium</title>

        <style>
            body {
                background-color: black;
                color: #EEE;
            }

            a {
                color: #CCE;
                text-decoration: none;
            }

            #density_chooser {
                float: left;
            }

            h1 {
                text-align: center;
            }

            /*
              FLEX
            */
            html, body {
                height: 100%;
                margin: 0;
                padding: 0;
            }
            #container {
                height: 100%;
                display: flex;
                flex-flow: column;
            }

            #container header {
                flex: 0 1 auto;
            }
            
            #container #map_container {
                flex: 1 1 auto;
                overflow-y: hidden;
                flex-flow: column;
                margin: 50px;
            }
        </style>
    </head>

    <body>
        <div id="container">
            <header>
                <div id="density_chooser">
                    <ul>
                        <li><a href="#" onclick="density_type_switch('roundabouts')">View roundabouts</a></li>
                        <li><a href="#" onclick="density_type_switch('buildings')">View buildings</a></li>
                        <li><a href="#" onclick="density_type_switch('hospitals')">View hospitals</a></li>
                        <li><a href="#" onclick="density_type_switch('waterways')">View waterways</a></li>
                    </ul>
                </div>
                <h1>
                    Density of <span id="density_type">roundabouts</span> on OSM in Belgium
                </h1>
            </header>
            <div id="map_container">
                <iframe frameborder="0" src="index.svg?type=roundabouts" alt="SVG Visualization" id="map" width="1000px" height="1000px">
                </iframe>
            </div>
        </div>

        <script type="text/javascript">
            let map = document.getElementById('map');
            let container = document.getElementById('map_container');
            map.setAttribute('width', container.clientWidth);
            map.setAttribute('height', container.clientHeight);

            window.addEventListener('resize', (ev) => {
                map.setAttribute('width', container.clientWidth);
                map.setAttribute('height', container.clientHeight);
                console.log(container.clientWidth + ', ' + container.clientHeight);
            });

            function density_type_switch(type) {
                let map = document.getElementById('map');
                map.setAttribute('src', 'index.svg?type=' + type)

                let text = document.getElementById('density_type');
                text.innerText = type;
            }
        </script>
    </body>
</html>